package dao;

import com.tecgraf.dao.FacadeJPA;
import com.tecgraf.dao.GenericDAOJPA;
import negocio.Aluno;

/**
 * Singleton AlunoDAO
* 
* 
 * @author Ismael H F Santos
 */
public class AlunoDAO extends GenericDAOJPA<Aluno, Integer> {
    //--------------------------------------------------  
    // Public methods
    //--------------------------------------------------  
    public static synchronized AlunoDAO getInstance( FacadeJPA f ) {
        if( instance == null ) {
            instance = new AlunoDAO(f);
        }
        return instance;
    }
    //--------------------------------------------------  
    // Private constructor
    //--------------------------------------------------  
    private AlunoDAO( FacadeJPA f ) {
        super(Aluno.class, f);
    }
    //--------------------------------------------------  
    // Private atributes
    //--------------------------------------------------  
    private static AlunoDAO instance;
    
}
